/**
 * A Timestamp structure holding the
 */
export type Timestamp = {
    unix: number;
    reactNative: number | null;
};
/**
 * Simple class providing timestamps in milliseconds.
 * If available, it will use the `performance.now()` method, and will fallback on `Date.now()` otherwise.
 */
export declare abstract class TimeProvider {
    /** Keeps an average offset between the unix time and the provided timestamp. */
    protected baseOffset: number;
    constructor();
    abstract getTimestamp(): Timestamp;
    now(): number;
}
//# sourceMappingURL=TimeProvider.d.ts.map